Subject: Re: bug#5645: 23.1.92; read-event blocks in batch mode

From: Michael Albinus <[email-masked]>
Date: Tue, 17 Jul 2012 15:16:27 +0200

Michael Albinus <[email-masked]> writes:

>> This is a technical limitation of batch mode.  Input is acquired via
>> getchar(): see kbd_buffer_get_event in keyboard.c.  Unfortunately,
>> getchar() blocks until input in submitted on standard input.
>
> I see. In my use case, which has caused this bug report, I am waiting
> for D-Bus events. This shall be possible also in batch mode; maybe we
> can fix this later.

With the solution of bug#11415, this problems is solved. Closed.

Best regards, Michael.